Bug 37071 - Purchase suggestions from the patron account are not redirecting to the suggestion form
Summary: Purchase suggestions from the patron account are not redirecting to the sugge...
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Laura Escamilla
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-06-11 13:57 UTC by Laura Escamilla
Modified: 2024-06-13 13:33 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.11.00


Attachments
Bug 37071: Updated the purchase suggestions link (2.05 KB, patch)
2024-06-11 14:08 UTC, Laura Escamilla
Details | Diff | Splinter Review
Bug 37071: Updated the purchase suggestions link (2.10 KB, patch)
2024-06-11 16:56 UTC, Sam Lau
Details | Diff | Splinter Review
Bug 37071: Updated the purchase suggestions link (2.18 KB, patch)
2024-06-12 14:12 UTC, Matt Blenkinsop
Details | Diff | Splinter Review
Bug 37071: Updated the purchase suggestions link (2.23 KB, patch)
2024-06-12 14:45 UTC, Emily Lamancusa
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Laura Escamilla 2024-06-11 13:57:47 UTC

    
Comment 1 Laura Escamilla 2024-06-11 14:08:42 UTC
Created attachment 167633 [details] [review]
Bug 37071: Updated the purchase suggestions link

To test:
1. Go to a patron account and click on “New purchase suggestion” under the “Purchase Suggestions” tab.
    1. Clicking on the button will take you to the suggestions management page.
2. Apply the patch.
3. Go back to the patron account and click on the “New purchase suggestion” link again. This time it will take you to the purchase suggestion form. You are now able to successfully submit a purchase suggestion.
4. Sign off and have an amazing day. :D
Comment 2 Sam Lau 2024-06-11 16:56:43 UTC
Created attachment 167641 [details] [review]
Bug 37071: Updated the purchase suggestions link

To test:
1. Go to a patron account and click on “New purchase suggestion” under the “Purchase Suggestions” tab.
    1. Clicking on the button will take you to the suggestions management page.
2. Apply the patch.
3. Go back to the patron account and click on the “New purchase suggestion” link again. This time it will take you to the purchase suggestion form. You are now able to successfully submit a purchase suggestion.
4. Sign off and have an amazing day. :D

Signed-off-by: Sam Lau <samalau@gmail.com>
Comment 3 Matt Blenkinsop 2024-06-12 14:12:51 UTC
Created attachment 167665 [details] [review]
Bug 37071: Updated the purchase suggestions link

To test:
1. Go to a patron account and click on “New purchase suggestion” under the “Purchase Suggestions” tab.
    1. Clicking on the button will take you to the suggestions management page.
2. Apply the patch.
3. Go back to the patron account and click on the “New purchase suggestion” link again. This time it will take you to the purchase suggestion form. You are now able to successfully submit a purchase suggestion.
4. Sign off and have an amazing day. :D

Signed-off-by: Sam Lau <samalau@gmail.com>
Signed-off-by: Matt Blenkinsop <matt.blenkinsop@ptfs-europe.com>
Comment 4 Emily Lamancusa 2024-06-12 14:45:21 UTC
Created attachment 167668 [details] [review]
Bug 37071: Updated the purchase suggestions link

To test:
1. Go to a patron account and click on “New purchase suggestion” under the “Purchase Suggestions” tab.
    1. Clicking on the button will take you to the suggestions management page.
2. Apply the patch.
3. Go back to the patron account and click on the “New purchase suggestion” link again. This time it will take you to the purchase suggestion form. You are now able to successfully submit a purchase suggestion.
4. Sign off and have an amazing day. :D

Signed-off-by: Sam Lau <samalau@gmail.com>
Signed-off-by: Matt Blenkinsop <matt.blenkinsop@ptfs-europe.com>
Signed-off-by: Emily Lamancusa <emily.lamancusa@montgomerycountymd.gov>
Comment 5 Martin Renvoize 2024-06-13 13:33:25 UTC
Thanks for all the hard work!

Pushed to main for the next 24.11.00 release as RM Assistant